//
// C++ Interface: klshistorycombo
//
// Description:
//
//
// Author: Paulo Moura Guedes <moura@kdewebdev.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KLSHISTORYCOMBO_H
#define KLSHISTORYCOMBO_H

#include <kcombobox.h>
class TDEConfig;

/**
@author Paulo Moura Guedes
Based on KonqCombo
*/
class KLSHistoryCombo : public KHistoryCombo
{
    TQ_OBJECT
  

public:
    KLSHistoryCombo(TQWidget* parent, const char* name);
    ~KLSHistoryCombo();

    void init();
    void loadItems();
    void saveItems();

protected:
    virtual bool eventFilter(TQObject* o, TQEvent* ev);
    void selectWord(TQKeyEvent* e);
    
private:
    static bool items_saved_;
};

#endif
